Bug 146206 - up2date uses busy cursor even though cancel is clickable
up2date uses busy cursor even though cancel is clickable
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 17:52 EST by Billy Biggs
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:14:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Billy Biggs 2005-01-25 17:52:37 EST
It is useful to be able to cancel an update, especially if it is
taking long than expected.  However, while an update is occuring, the
cursor on the window turns to the busy cursor.  While the cancel
button can still be clicked on, the user experience is awkward.

I do not think a busy cursor should be used while an update is
occuring.  If there must be some visual indication besides the
progress bar that work is occuring, changing the red hat into an
animated icon seems more appropriate (similar to a web browser).

Version-Release number of selected component:
  up2date-4.3.47-5
  up2date-gnome-4.3.47-5
Comment 1 Matthew Miller 2006-07-10 18:01:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:14:42 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.